#ifndef THIMG_H
#define THIMG_H
 
#include <QtGui>
 
class thimg : public QThread
{
	Q_OBJECT
 
public:
	thimg();
	int lumi;
	int cont;
	int rouge;
	int vert;
	int bleu;
	int valueadd_R;
	int valueadd_V;
	int valueadd_B;
	int opacity;
	QColor trtcolor;
	QImage wlimg;
	int composition;
	int must_redraw;
	int c_r;
	int c_v;
	int c_b;
	int ac_r;
	int ac_v;
	int ac_b;
	int ouverture;
	int radius;
	int longueur;
	QRgb srcPixel;
	QImage overpix;
	int hasover;
	int hasinvert;

	QPainter p;
	void run();
	void finished();
	QColor ouvcolor;
	signals:
	void myfin(); 
};
 
 
#endif
